package com.yanzuoguang.dao.impl;

import com.yanzuoguang.dao.DaoConst;

/**
 * 表结构的基本信息
 * @author 颜佐光
 */
public class TableFieldVo {

    public TableFieldVo() {
        this(DaoConst.ID_FIELD);
    }

    public TableFieldVo(String name) {
        this(name, name);
    }

    public TableFieldVo(String name, String inputName) {
        this(name, inputName, String.class);
    }

    public TableFieldVo(String name, String inputName, Class<?> type) {
        this.name = name;
        this.lName = name.toLowerCase();
        this.inputName = inputName;
        this.inputLName = inputName.toLowerCase();
        this.type = type;
    }

    public String name;

    public String lName;

    public String inputName;

    public String inputLName;

    public Class<?> type = String.class;
    ;
}
